package com.jasamedika.medifirst2000.service;

import java.util.Date;
import java.util.List;
import java.util.Map;

import com.jasamedika.medifirst2000.entities.DokumenRekamMedis;
import com.jasamedika.medifirst2000.entities.MappingKirimDokumenPasien;
import com.jasamedika.medifirst2000.vo.DokumenRekamMedisVO;

public interface DokumenRekamMedisService {

	Map<String,Object> saveDokumenRekamMedis(DokumenRekamMedisVO vo);

	List<DokumenRekamMedis> getByRuangan(Integer idRuangan, Date startDate, Date untilDate, String namaPasien);

	List<MappingKirimDokumenPasien> terimaDokumen(String[] dokumens);

	Map<String, Object> kirimDokumen(List<DokumenRekamMedisVO> dokumens);
	
}
